package com.zztrapp.zztrapp.bean;

import java.io.Serializable;
import java.util.List;

/**
 * Describe 污水处理设施index
 * Created by Bby on 2022/6/26
 * Email bby0856@163.com
 */
public class WsclssIndexBean {


    private List<RecordsBean> records;
    private Integer total;
    private Integer size;
    private Integer current;
    private List<?> orders;
    private Boolean optimizeCountSql;
    private Boolean searchCount;
    private Object countId;
    private Object maxLimit;
    private Integer pages;

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Integer getCurrent() {
        return current;
    }

    public void setCurrent(Integer current) {
        this.current = current;
    }

    public List<?> getOrders() {
        return orders;
    }

    public void setOrders(List<?> orders) {
        this.orders = orders;
    }

    public Boolean getOptimizeCountSql() {
        return optimizeCountSql;
    }

    public void setOptimizeCountSql(Boolean optimizeCountSql) {
        this.optimizeCountSql = optimizeCountSql;
    }

    public Boolean getSearchCount() {
        return searchCount;
    }

    public void setSearchCount(Boolean searchCount) {
        this.searchCount = searchCount;
    }

    public Object getCountId() {
        return countId;
    }

    public void setCountId(Object countId) {
        this.countId = countId;
    }

    public Object getMaxLimit() {
        return maxLimit;
    }

    public void setMaxLimit(Object maxLimit) {
        this.maxLimit = maxLimit;
    }

    public Integer getPages() {
        return pages;
    }

    public void setPages(Integer pages) {
        this.pages = pages;
    }

    public static class RecordsBean implements Serializable {
        private String id;
        private String createTime;
        private String updateTime;
        private String createBy;
        private Integer fghs;
        private String fgzrc;
        private Object fgzrcNum;
        private Object ywzt;
        private Object ywzjly;
        private Object clcb;
        private Integer sbzt;
        private Integer delFlag;
        private String sbmc;
        private String sbbh;
        private String shejigm;
        private String sjgm;
        private String sjdwmc;
        private String sbcsmc;
        private String sjdwzz;
        private String sgdwmc;
        private String sbscwzjd;
        private String sbscwzwd;
        private String sjcsbz;
        private String wsqx;
        private String jssj;
        private String tysj;
        private String fsss;
        private Object sbgzsj;
        private Object sbxfsj;
        private String yxzt;
        private String clgy;
        private Integer hjrk;
        private Integer czrk;
        private Integer nrjsr;
        private Integer hb;
        private String dx;
        private Integer rjysl;
        private Object ywztId;
        private String countyCode;
        private String countyName;
        private String xzcId;
        private String xzcName;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public String getCreateBy() {
            return createBy;
        }

        public void setCreateBy(String createBy) {
            this.createBy = createBy;
        }

        public Integer getFghs() {
            return fghs;
        }

        public void setFghs(Integer fghs) {
            this.fghs = fghs;
        }

        public String getFgzrc() {
            return fgzrc;
        }

        public void setFgzrc(String fgzrc) {
            this.fgzrc = fgzrc;
        }

        public Object getFgzrcNum() {
            return fgzrcNum;
        }

        public void setFgzrcNum(Object fgzrcNum) {
            this.fgzrcNum = fgzrcNum;
        }

        public Object getYwzt() {
            return ywzt;
        }

        public void setYwzt(Object ywzt) {
            this.ywzt = ywzt;
        }

        public Object getYwzjly() {
            return ywzjly;
        }

        public void setYwzjly(Object ywzjly) {
            this.ywzjly = ywzjly;
        }

        public Object getClcb() {
            return clcb;
        }

        public void setClcb(Object clcb) {
            this.clcb = clcb;
        }

        public Integer getSbzt() {
            return sbzt;
        }

        public void setSbzt(Integer sbzt) {
            this.sbzt = sbzt;
        }

        public Integer getDelFlag() {
            return delFlag;
        }

        public void setDelFlag(Integer delFlag) {
            this.delFlag = delFlag;
        }

        public String getSbmc() {
            return sbmc;
        }

        public void setSbmc(String sbmc) {
            this.sbmc = sbmc;
        }

        public String getSbbh() {
            return sbbh;
        }

        public void setSbbh(String sbbh) {
            this.sbbh = sbbh;
        }

        public String getShejigm() {
            return shejigm;
        }

        public void setShejigm(String shejigm) {
            this.shejigm = shejigm;
        }

        public String getSjgm() {
            return sjgm;
        }

        public void setSjgm(String sjgm) {
            this.sjgm = sjgm;
        }

        public String getSjdwmc() {
            return sjdwmc;
        }

        public void setSjdwmc(String sjdwmc) {
            this.sjdwmc = sjdwmc;
        }

        public String getSbcsmc() {
            return sbcsmc;
        }

        public void setSbcsmc(String sbcsmc) {
            this.sbcsmc = sbcsmc;
        }

        public String getSjdwzz() {
            return sjdwzz;
        }

        public void setSjdwzz(String sjdwzz) {
            this.sjdwzz = sjdwzz;
        }

        public String getSgdwmc() {
            return sgdwmc;
        }

        public void setSgdwmc(String sgdwmc) {
            this.sgdwmc = sgdwmc;
        }

        public String getSbscwzjd() {
            return sbscwzjd;
        }

        public void setSbscwzjd(String sbscwzjd) {
            this.sbscwzjd = sbscwzjd;
        }

        public String getSbscwzwd() {
            return sbscwzwd;
        }

        public void setSbscwzwd(String sbscwzwd) {
            this.sbscwzwd = sbscwzwd;
        }

        public String getSjcsbz() {
            return sjcsbz;
        }

        public void setSjcsbz(String sjcsbz) {
            this.sjcsbz = sjcsbz;
        }

        public String getWsqx() {
            return wsqx;
        }

        public void setWsqx(String wsqx) {
            this.wsqx = wsqx;
        }

        public String getJssj() {
            return jssj;
        }

        public void setJssj(String jssj) {
            this.jssj = jssj;
        }

        public String getTysj() {
            return tysj;
        }

        public void setTysj(String tysj) {
            this.tysj = tysj;
        }

        public String getFsss() {
            return fsss;
        }

        public void setFsss(String fsss) {
            this.fsss = fsss;
        }

        public Object getSbgzsj() {
            return sbgzsj;
        }

        public void setSbgzsj(Object sbgzsj) {
            this.sbgzsj = sbgzsj;
        }

        public Object getSbxfsj() {
            return sbxfsj;
        }

        public void setSbxfsj(Object sbxfsj) {
            this.sbxfsj = sbxfsj;
        }

        public String getYxzt() {
            return yxzt;
        }

        public void setYxzt(String yxzt) {
            this.yxzt = yxzt;
        }

        public String getClgy() {
            return clgy;
        }

        public void setClgy(String clgy) {
            this.clgy = clgy;
        }

        public Integer getHjrk() {
            return hjrk;
        }

        public void setHjrk(Integer hjrk) {
            this.hjrk = hjrk;
        }

        public Integer getCzrk() {
            return czrk;
        }

        public void setCzrk(Integer czrk) {
            this.czrk = czrk;
        }

        public Integer getNrjsr() {
            return nrjsr;
        }

        public void setNrjsr(Integer nrjsr) {
            this.nrjsr = nrjsr;
        }

        public Integer getHb() {
            return hb;
        }

        public void setHb(Integer hb) {
            this.hb = hb;
        }

        public String getDx() {
            return dx;
        }

        public void setDx(String dx) {
            this.dx = dx;
        }

        public Integer getRjysl() {
            return rjysl;
        }

        public void setRjysl(Integer rjysl) {
            this.rjysl = rjysl;
        }

        public Object getYwztId() {
            return ywztId;
        }

        public void setYwztId(Object ywztId) {
            this.ywztId = ywztId;
        }

        public String getCountyCode() {
            return countyCode;
        }

        public void setCountyCode(String countyCode) {
            this.countyCode = countyCode;
        }

        public String getCountyName() {
            return countyName;
        }

        public void setCountyName(String countyName) {
            this.countyName = countyName;
        }

        public String getXzcId() {
            return xzcId;
        }

        public void setXzcId(String xzcId) {
            this.xzcId = xzcId;
        }

        public String getXzcName() {
            return xzcName;
        }

        public void setXzcName(String xzcName) {
            this.xzcName = xzcName;
        }
    }
}
